Bug 34541 - Traceback when ":" in user's path to home share
Traceback when ":" in user's path to home share
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Stefan Gohmann
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-14 13:37 CEST by Dirk Wiesenthal
Modified: 2014-09-16 08:39 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2014-04-14 13:37:37 CEST
See also Bug#32018
Comment 1 Dirk Wiesenthal univentionstaff 2014-04-14 13:44:29 CEST
Oops, pressed enter while writing this bug. Here comes the full description:

Reported by traceback feedback:
 Traceback:
  File "/usr/lib/pymodules/python2.6/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "/usr/lib/pymodules/python2.6/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/__init__.py", line
971, in _thread
    for module, obj in list_objects( container, object_type = object_type ):
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line
155, in wrapper_func
    ret = func( *args, **kwargs )
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line
1021, in list_objects
    objects.append( ( module, module.get( dn ) ) )
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line
155, in wrapper_func
    ret = func( *args, **kwargs )
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line
475, in get
    raise UDM_Error( get_exception_msg( e ) )

UDM_Error: too many values to unpack

*******

AND (most likely related, most likely same installation)

 Traceback:
  File "/usr/lib/pymodules/python2.6/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "/usr/lib/pymodules/python2.6/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/__init__.py", line
406, in _thread
    module.remove( ldap_dn, options.get( 'cleanup', False ), options.get( 'recursive',
False ) )
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line
155, in wrapper_func
    ret = func( *args, **kwargs )
  File
"/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line
380, in remove
    obj.open()
  File "/usr/lib/pymodules/python2.6/univention/admin/handlers/users/user.py", line 1478,
in open
    host, path = unc.split(':')

ValueError: too many values to unpack

***********

Steps to reproduce: Just put a ":" in path to home directory.

This bug is rather serious if experienced: UDM-cli cannot be used anymore to view or modify this user. And UMC-UDM cannot either. So this bug leaves UDM in a broken state.

It is even impossible to delete this user!!
Comment 2 Dirk Wiesenthal univentionstaff 2014-09-01 10:58:36 CEST
Reported again. As I said, rather serious if experienced. The user will probably have to use ldapmodify.
Comment 3 Florian Best univentionstaff 2014-09-01 11:01:30 CEST
both tracebacks reported again.
Comment 4 Florian Best univentionstaff 2014-09-01 11:08:38 CEST
Remark:
Problem appears to be related to user Carl.Vine.  The last edit for this user was to add
shares located on a Slave DC

Remark:
Simply cccured accessing "Users" after first accessing  "Shares"

Has also been reported from 2 different UUID's btw.
Comment 5 Stefan Gohmann univentionstaff 2014-09-02 14:11:08 CEST
Fixed. The UDM no longer breaks if more than one ':' is set in the automountInformation attribute:

UCS 3.2-3: r53245
UCS 4.0: 53246
YAML: r53248
Comment 6 Dirk Wiesenthal univentionstaff 2014-09-03 10:29:15 CEST
Two lines above the changed lines there is the same issue, but with split(' ').

Try to set the path to "Some path somewhere": It will be blank after saving. I think this is related enough to REOPEN this bug.
Comment 7 Stefan Gohmann univentionstaff 2014-09-03 10:50:49 CEST
OK, should be fixed with:

UCS 3.2-3: r53284
UCS 4.0: r53286
YAML: r53288
Comment 8 Dirk Wiesenthal univentionstaff 2014-09-03 12:26:31 CEST
4.0-0: OK
3.2-3: OK
YAML: OK
Comment 9 Janek Walkenhorst univentionstaff 2014-09-10 17:40:15 CEST
http://errata.univention.de/ucs/3.2/197.html
Comment 10 Stephan Luft univentionstaff 2014-09-16 08:39:03 CEST
just for information:
"Carl has advised that he has applied the update and his problem has been
resolved, so thanks to all involved."